#include <assert.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>

void
reverse_cigar(char *cigar, char *rcigar){
        int i;
        char *p;
        char tmp_cigar[100];
	tmp_cigar[0]='\0';
	rcigar[0]='\0';
        p=&cigar[strlen(cigar)-1];
        for(i=strlen(cigar)-2;i>=0;i--){
                if(cigar[i]<'0' || cigar[i] > '9'){
                        strcpy(tmp_cigar,rcigar);
                        sprintf(rcigar,"%s%s",tmp_cigar,p);
                        *p='\0';
                        p--;
                }else{
                        p--;
                }
        }
        strcpy(tmp_cigar,rcigar);
        sprintf(rcigar,"%s%s",tmp_cigar,p);

}
char
get_complement_base(char base){

        switch(base){
        case 'A':
        case 'a':
                return 'T';
        case 'C':
        case 'c':
                return 'G';
        case 'G':
        case 'g':
                return 'C';
        case 'T':
        case 't':
                return 'A';
        default:
                fprintf(stderr,"Invalid base :%c\n",base);
                abort();
        }
}
